Package org.apache.commons.imaging.formats.gif

# Enum DisposalMethod

java.lang.Object
java.lang.Enum<DisposalMethod>
org.apache.commons.imaging.formats.gif.DisposalMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<DisposalMethod>`

public enum DisposalMethod extends Enum<DisposalMethod>
Describes the disposal of a GIF frame when rendering the animation. Frames that aren't disposed can show through transparent pixels of coming frames. This allows new layers to contain just the part of the animation that changes.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DO_NOT_DISPOSE`
  The next frame should be rendered on top of this frame.
  `RESTORE_TO_BACKGROUND`
  Dispose the frame and restore the background.
  `RESTORE_TO_PREVIOUS`
  Dispose the frame and restore the previous undisposed frame.
  `TO_BE_DEFINED_1`
  Unused method 1.
  `TO_BE_DEFINED_2`
  Unused method 2.
  `TO_BE_DEFINED_3`
  Unused method 3.
  `TO_BE_DEFINED_4`
  Unused method 4.
  `UNSPECIFIED`
  Typically used for a full-size non-transparent frame that will be replaced by another.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DisposalMethod`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DisposalMethod[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNSPECIFIED

    public static final DisposalMethod UNSPECIFIED
    Typically used for a full-size non-transparent frame that will be replaced by another.

  - ### DO_NOT_DISPOSE

    public static final DisposalMethod DO_NOT_DISPOSE
    The next frame should be rendered on top of this frame.

  - ### RESTORE_TO_BACKGROUND

    public static final DisposalMethod RESTORE_TO_BACKGROUND
    Dispose the frame and restore the background.

  - ### RESTORE_TO_PREVIOUS

    public static final DisposalMethod RESTORE_TO_PREVIOUS
    Dispose the frame and restore the previous undisposed frame.

  - ### TO_BE_DEFINED_1

    public static final DisposalMethod TO_BE_DEFINED_1
    Unused method 1.

  - ### TO_BE_DEFINED_2

    public static final DisposalMethod TO_BE_DEFINED_2
    Unused method 2.

  - ### TO_BE_DEFINED_3

    public static final DisposalMethod TO_BE_DEFINED_3
    Unused method 3.

  - ### TO_BE_DEFINED_4

    public static final DisposalMethod TO_BE_DEFINED_4
    Unused method 4.

- ## Method Details

  - ### values

    public static DisposalMethod[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DisposalMethod valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null